Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.event
Class NotifyRequest

    java.lang.Object
      org.cybergarage.http.HTTPPacket
          org.cybergarage.http.HTTPRequest
              org.cybergarage.soap.SOAPRequest
                  org.cybergarage.upnp.event.NotifyRequest

    public class NotifyRequest

extends SOAPRequest

Constructor Summary
`NotifyRequest()`
`NotifyRequest(HTTPRequest httpReq)`

Method Summary
`PropertyList` | `getPropertyList()`
`long` | `getSEQ()`
`String` | `getSID()`
`void` | `setNT(String value)`
`void` | `setNTS(String value)`
`boolean` | `setRequest(Subscriber sub, String varName, String value)`
`void` | `setSEQ(long value)`
`void` | `setSID(String id)`

Methods inherited from class org.cybergarage.soap.SOAPRequest
`getBodyNode, getEnvelopeNode, getSOAPAction, isSOAPAction, postMessage, print, setContent, setEnvelopeNode, setSOAPAction`

Methods inherited from class org.cybergarage.http.HTTPRequest
`getFirstLineString, getHeader, getHTTPVersion, getLocalAddress, getLocalPort, getMethod, getParameterList, getParameterValue, getRequestHost, getRequestPort, getSocket, getURI, isGetRequest, isHeadRequest, isKeepAlive, isMethod, isNotifyRequest, isPostRequest, isSOAPAction, isSubscribeRequest, isUnsubscribeRequest, parseRequestLine, post, post, post, read, returnBadRequest, returnOK, returnResponse, set, setMethod, setRequestHost, setRequestPort, setSocket, setURI, setURI, toString`

Methods inherited from class org.cybergarage.http.HTTPPacket
`addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotifyRequest

    public NotifyRequest()

### NotifyRequest

    public NotifyRequest(HTTPRequest httpReq)

Method Detail

### setNT

    public void setNT(String value)

### setNTS

    public void setNTS(String value)

### setSID

    public void setSID(String id)

### getSID

    public String getSID()

### setSEQ

    public void setSEQ(long value)

### getSEQ

    public long getSEQ()

### setRequest

    public boolean setRequest(Subscriber sub,
                              String varName,
                              String value)

### getPropertyList

    public PropertyList getPropertyList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD